Subject: Re: Configuring the same IP on multiple addresses

From: Vlad Yasevich <[email-masked]>
Date: Mon, 29 Oct 2007 15:44:26 -0400

David Stevens wrote:
> [email-masked] wrote on 10/29/2007 11:03:37 AM:
> 
>> So, I am looking for technical reasons why this is permitted.
> 
> Vlad,
>         Is there a technical reason to disallow it? Rather than
> anticipate all the possible uses for a machine, it's, of course,
> generally better to restrict only the things you know can't
> work, and allow everything else.
> 
>                                                         +-DLS

For v4, not really, but it really confuses some people (and thus causes
me headaches ;-)

For v6, there are plenty of operational reasons to not allow this.  You really
turn unicast into anycast when you do this and there are special rules to
be followed.

-vlad